Fix segfault on uninitialized msg member

... and actually exit if the test fails

Julian Schauder
--- a/src/test/timestamp/main.c
+++ b/src/test/timestamp/main.c
@@ -87,6 +87,8 @@ main(int argc, char **argv)
 	POOL_CONNECTION_POOL	backend;
 	POOL_CONNECTION_POOL_SLOT slot;
 	POOL_SENT_MESSAGE	msg;
+	POOL_QUERY_CONTEXT context;
+	msg.query_context = &context;
 	backend.slots[0] = &slot;
 	slot.sp = &sp;
 
--- a/src/test/timestamp/run-test
+++ b/src/test/timestamp/run-test
@@ -58,9 +58,11 @@ begin
         print "OK\n"
       else
         print "FAILED\n"
+        exit 1
       end
     rescue
       print "FAILED\n"
+      exit 1
     end
   end
 
--- a/src/test/parser/run-test
+++ b/src/test/parser/run-test
@@ -51,9 +51,11 @@ begin
         print "OK\n"
       else
         print "FAILED\n"
+        exit 1
       end
     rescue
       print "FAILED\n"
+      exit 1
     end
   end
 
